gr-baz Package

Classes | Functions | Variables
baz_unpacked_to_packed_bb.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/endianness.h>`
Include dependency graph for baz_unpacked_to_packed_bb.h:

Go to the source code of this file.

## Classes
class | baz_unpacked_to_packed_bb
| Convert a stream of unpacked bytes or shorts into a stream of packed bytes or shorts. More...

## Functions
BAZ_API baz_unpacked_to_packed_bb_sptr | baz_make_unpacked_to_packed_bb (unsigned int bits_per_chunk, unsigned int bits_into_output, int endianness=gr::GR_MSB_FIRST)

## Variables
class BAZ_API | baz_unpacked_to_packed_bb

## Function Documentation

## ◆ baz_make_unpacked_to_packed_bb()

BAZ_API baz_unpacked_to_packed_bb_sptr baz_make_unpacked_to_packed_bb | ( | unsigned int | bits_per_chunk,
|  | unsigned int | bits_into_output,
|  | int | endianness = `gr::GR_MSB_FIRST`
| ) |  |

## Variable Documentation

## ◆ baz_unpacked_to_packed_bb

class BAZ_API baz_unpacked_to_packed_bb